<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__sdp__discovery__record__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_sdp_discovery_record_t</compoundname>
    <includes local="no">wiced_bt_sdp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__sdp__discovery__record__t_1a2c03131b6854412677af9229105e21fc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__attribute__t">wiced_bt_sdp_discovery_attribute_t</ref> *</type>
        <definition>wiced_bt_sdp_discovery_attribute_t* wiced_bt_sdp_discovery_record_t::p_first_attr</definition>
        <argsstring />
        <name>p_first_attr</name>
        <briefdescription>
<para>First attribute of record. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="119" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="119" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__record__t_1a9092f93ec78136b00a77a7d4427a7ce8" kind="variable" mutable="no" prot="public" static="no">
        <type>struct sdp_discovery_record_t *</type>
        <definition>struct sdp_discovery_record_t* wiced_bt_sdp_discovery_record_t::p_next_rec</definition>
        <argsstring />
        <name>p_next_rec</name>
        <briefdescription>
<para>Addr of next linked record. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="120" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="120" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__record__t_1acf2163c1a64b9119939ac9df95067641" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_sdp_discovery_record_t::time_read</definition>
        <argsstring />
        <name>time_read</name>
        <briefdescription>
<para>The time the record was read. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="121" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="121" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Discovery record from SDP search result. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="653">
        <label>wiced_bt_sdp_discovery_attribute_value_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__value__t" />
      </node>
      <node id="652">
        <label>wiced_bt_sdp_discovery_attribute_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__t" />
        <childnode refid="653" relation="usage">
          <edgelabel>attr_value</edgelabel>
        </childnode>
      </node>
      <node id="651">
        <label>wiced_bt_sdp_discovery_record_t</label>
        <link refid="structwiced__bt__sdp__discovery__record__t" />
        <childnode refid="652" relation="usage">
          <edgelabel>p_first_attr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="122" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="117" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="118" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__sdp__discovery__record__t_1a2c03131b6854412677af9229105e21fc" virt="non-virtual"><scope>wiced_bt_sdp_discovery_record_t</scope><name>p_first_attr</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__record__t_1a9092f93ec78136b00a77a7d4427a7ce8" virt="non-virtual"><scope>wiced_bt_sdp_discovery_record_t</scope><name>p_next_rec</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__record__t_1acf2163c1a64b9119939ac9df95067641" virt="non-virtual"><scope>wiced_bt_sdp_discovery_record_t</scope><name>time_read</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>